  /* Sticky footer styles
-------------------------------------------------- */

   :root {
      --theme-color: #029adb;
  }

  html {
      position: relative;
      min-height: 100%;
  }

  .footer {
      position: relative;
      bottom: 0;
      width: 100%;
      line-height: 60px;
      /* Vertically center the text there */
      /*  background-color: #f5f5f5;*/
  }
  /* Custom page CSS
-------------------------------------------------- */
  /* Not required for template or sticky footer method. */

  body>.container {
      padding: 60px 15px 25px;
  }

  .footer>.container {
      padding-right: 15px;
      padding-left: 15px;
  }

  code {
      font-size: 80%;
  }

  nav li {
      margin-right: 10px;
      border: 0;
  }

  nav a.nav-link {
      border: none;
      display: flex;
      align-items: center;
  }

  .footer {
      background: #000;
      text-align: center;
      padding: 20px;
  }

  .dropdown-item a {
      color: #212529 !important;
  }

  .navigation-top {
      padding: .3rem 0 !important;
  }

  .navigation-top ul li {
      list-style: none;
      float: left;
  }

  .navigation-top ul li img.retail-image {
      width: auto;
      border-radius: 4px;
  }

  .fixed-top2 {
      top: 42px;
      z-index: 1 !important;
  }

  .navbar-dark {
      background-color: var(--theme-color);
      /*#767bbb*/
  }
  /* Navigational Drawer */

  @media (min-width: 320px) and (max-width: 576px) {
      .dropdown-menu-default {
          left: -240% !important;
      }
      .footer {
          padding: 19px;
          line-height: 21px;
          padding-top: 20px;
      }
      #drawer {
          width: 305px !important;
          right: 10px !important;
      }
      #moduleSwitchingDrawer {
          width: 280px !important;
          left: 21px !important;
      }
  }

  #moduleSwitching {
      /*height: 30px;*/
      /*width: 30px;*/
      border-radius: 50%;
      cursor: pointer;
  }

  .module-switch {
      height: 19.76px;
      width: 19.76px;
      top: -1px;
      stroke: #ffffff;
      position: relative;
  }

  #moduleSwitchingDrawer {
      height: auto;
      padding: 1%;
      width: 350px;
      background: #ffffff;
      border-radius: 5px;
      position: absolute;
      display: none;
      left: 16px;
      top: 45px;
      box-shadow: 0 5px 5px 0 #00897b36;
      z-index: 2;
  }

  .module-drawer-link {
      color: #555;
  }

  .module-drawer-link p {
      padding: 15px 5px;
      font-size: 1.2rem;
      margin-bottom: 0;
  }

  .block-icon {
      height: 36px;
      width: 36px;
      border-radius: 8px;
  }

  .module-active {
      color: var(--theme-color);
  }

  #drawer {
      height: auto;
      width: 400px;
      background: #f4f4f4;
      border-radius: 5px;
      position: absolute;
      display: none;
      right: 15px;
      top: 48px;
      box-shadow: 0 5px 5px 0 #00897b36;
      z-index: 2;
  }

  .drawer-header {
      text-align: center;
  }

  .drawer-header img {
      width: 25% !important;
      border: 1px solid #eef7ff;
      border-radius: 100px;
      text-align: center;
      height: 50px;
  }

  p.restaurant-title {
      text-align: center;
      padding: 10px 0;
      background: #f6fbff;
      color: var(--theme-color);
      border-radius: 4px;
  }

  .drawer-header img {
      width: 33% !important;
      border: 1px solid #ffffff;
      border-radius: 100px;
      text-align: center;
      height: 95px;
  }

  /* .drawer-info p {
      font-size: .9rem;
      color: #00897b;
      text-align: center;
      margin: 0px;
  } */

  .line {
      background-color: #00897b33;
      height: 1px;
      clear: both;
      margin: 0% auto;
      width: 100%;
  }

  .drawer-link {
      color: #555;
  }

  img.home-icon {
      width: 24px;
      height: 26px;
      padding-bottom: 2px;
      border-radius: 2px;
  }

  .module-drawer-link a:hover {
      background: #f6fbff;
      color: #555;
  }

  .module-drawer-link a {
      font-size: 1rem;
      padding: 15px 5px;
      cursor: pointer;
      float: none !important;
      color: #555;
  }

  .drawer-link a {
      border-top: 1px solid #e2e2e2;
  }

  .drawer-link a:first-child {
      border-top: none;
  }

  .drawer-content-section {
      padding: 1.25% 2.4%;
  }

  .drawer-message {
      text-align: center;
      line-height: 18px;
  }

  .drawer-message p {
      font-size: .75rem;
      color: #555;
      text-align: center;
      margin: 2px;
  }

  .trial-button {
      display: inline-block;
      text-align: center;
      white-space: nowrap;
      vertical-align: middle;
      -webkit-user-select: none;
      -moz-user-select: none;
      -ms-user-select: none;
      border: 1px solid transparent;
      font-size: 1rem;
      padding: 0px 8px 0px 8px;
      font-size: .7rem;
      border-radius: .20rem;
      color: #ffffff;
      background: #00C851;
      transition: color .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, box-shadow .15s ease-in-out;
  }

  .drawer-link {
      color: #555;
  }

  .drawer-link ul {
      list-style: none;
      margin: 0;
      padding: 0;
  }
  .drawer-link ul li:first-child {
    border-top: none;
  }
  .drawer-link ul li {
    font-size: 1rem;
    padding: 15px;
    border-top: 1px solid rgba(0,0,0,.07);
    cursor: pointer;
    float: none !important;
    white-space: nowrap;
    overflow-x: hidden;
    text-overflow: ellipsis;
}

  .line {
      background-color: #00897b33;
      height: 1px;
      clear: both;
      margin: 0% auto;
      width: 100%;
  }

  .shop-img {
      padding: 0;
      border: none;
      background: none;
  }

  .shop-name {
      line-height: 1.5;
      margin-top: 11px;
      margin-bottom: 0;
      font-size: .75rem;
      color: #ffffff;
  }

  .drawer-hover {
      background: #ffffff;
      min-width: 50px;
      padding: 3px;
      cursor: pointer;
      border-radius: 5px;
  }

  .custom-icon {
      width: 24px;
      height: 20px;
      fill: #9c9c9c;
      stroke: #9c9c9c;
  }

  .custom-icon:hover {
      fill: var(--theme-color);
      stroke: var(--theme-color);
  }

  .drawer-hover:hover {
      background: #f6fbff;
  }

  .navigation-top ul li img.restaurant-image {
      width: auto;
      border-radius: 4px;
  }

  .drawer-hover a img {
      height: 35px;
      border: 1px solid transparent;
      border-radius: 4px;
  }

  .custom-control {
      border-radius: 0px;
  }

  input.custom-control[type=text],
  input.custom-control[type=email],
  input.custom-control[type=password],
  select,
  textarea {
      border: none;
      border-bottom: 1px solid var(--theme-color);
      z-index: 0 !important;
  }

  input.custom-control[placeholder] {
      padding: .375rem 0;
  }

  .custom-control:focus {
      box-shadow: none;
  }

  label.for-placeholder-transition {
      margin: 20px 0;
      position: relative;
      display: block;
  }

  span.for-placeholder-transition {
      padding: 10px;
      pointer-events: none;
      position: absolute;
      left: -10px;
      transition: 0.2s;
      transition-timing-function: ease;
      transition-timing-function: cubic-bezier(0.25, 0.1, 0.25, 1);
      opacity: 0.5;
      bottom: 0px;
  }

  input.for-placeholder-transition {
      padding: 10px;
  }
  .drawer-info  .btn-manage-account {
    padding: 3px 15px !important;
    border-radius: 25px;
    border-color: #e3e3e3;
    color: #555555;
    font-size: 14px;
    cursor: pointer;
}
.manage-account-btn-div{
    display: flex;
    align-items: center;
    margin: 16px 0 5px 0;
    justify-content: center;
}
.btn-log-out {
    border: 1px solid #e3e3e3;
    padding: 6px 18px !important;
    font-size: 14px;
    color: #555555;
    margin: 14px 0px 10px 0px;
}
.drawer-header-top{
    display: flex;
    justify-content: center;
    gap: 20px;
    padding: 15px 12px;
}
.drawer-header-top img{
    width: 70px;
    border-radius: 3px;
}
.drawer-header-top-left{
    display: flex;
    flex: 0 0 22%;
    justify-content: center;
    margin-right: 0;
}
.drawer-header-top-right{
    display: flex;
    flex-direction: column;
    flex: 0 0 65%;
    align-items: flex-start;
}
.drawer-header-bottom{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    background: #ffffff;
    padding: 12px 14px;
    border-radius: 6px;
    gap: 6px;
}
.drawer-header-bottom-left-column,
.drawer-header-bottom-right-column{
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
}

.drawer-header-bottom  .btn-manage-account {
  padding: 3px 15px !important;
  border-radius: 3px;
  border-color: #e3e3e3;
  color: #555555;
  font-size: 14px;
}
.drawer-header-bottom-button{
    display: flex;
    align-items: center;
    padding: 8px;
    width: 160px;
    cursor: pointer;
}
.drawer-header-bottom-button:hover{
    background: #eeeeee;
    border-radius: 5px;
    transition: .2s ease-in-out;
}
.sign-out-button:hover{
    background: #fbe5e9;
}
.drawer-header-bottom-button span{
    font-size: 14px;
    color: #555555;
    margin-left: 5px;
    cursor: pointer;
}
.shoplist-drawer{
    background: #ffffff;
    padding: 10px;
    border-radius: 6px;
    margin: 12px 0;
}
